#pragma once

// CListCtrl4MessageItems
// Класс для того, чтобы можно было кидать драги дропом файлы в сообщение почты

class CMessageDlg;

class CListCtrl4MessageItems : public CListCtrl
{
public:
	class CListCtrl4MessageItemsOleDataSource:public COleDataSource
	{
	public:
		CString m_FileName;
		CaplAPI *m_api;
		CaplInstance *m_inst_stor_doc;

		CListCtrl4MessageItemsOleDataSource();

		void SetDelayFile(LPCTSTR fname, CaplAPI *api, CaplInstance *inst_stor_doc);	

		virtual BOOL OnRenderData( LPFORMATETC lpFormatEtc, LPSTGMEDIUM lpStgMedium );
	};


	DECLARE_DYNAMIC(CListCtrl4MessageItems)

public:
	CListCtrl4MessageItems();
	virtual ~CListCtrl4MessageItems();

	CaplInstance *m_item4drag;

	// выделить все строки
	void SelectAll();

	CMessageDlg *m_mes_dlg;

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
};


